Subject: Re: bug#73320: [PATCH] project--vc-list-files: use Git's sparse-index

From: Dmitry Gutov <[email-masked]>
Date: Sat, 5 Oct 2024 15:33:27 +0300

On 05/10/2024 09:48, Eli Zaretskii wrote:
>> Date: Sat, 5 Oct 2024 00:25:13 +0300
>> Cc: Sean Allred<[email-masked]>,[email-masked]
>> From: Dmitry Gutov<[email-masked]>
>>
>>>> Is the 'connection-local-set-profiles' call needed here at all or can
>>>> be skipped?
>>> It is needed. connection-local-set-profile-variables declares only the
>>> variables, connection-local-set-profiles activates them.
>> Thanks, Michael. Binding connection-local-default-application seems like
>> a good approach for Emacs 27-28, but vc-git is not distributed
>> separately, so might as well use the newer macro.
>>
>> Here's the updated patch.
>>
>> Eli, any chance this can go in Emacs 30? Could be considered a bugfix,
>> since we're fixing Git version detection on remote hosts. Not a
>> regression, though.
> Given that we don't yet have a good understanding of this mechanism
> and its implications, I'd prefer to install this on master.

Okay, then we might only support --sparse with Emacs 31. Otherwise, a 
user could upgrade project.el from ELPA and have that in Emacs 30 too.

with-connection-local-application-variables had been added in Emacs 
29.1, BTW.